<?php
return [
	'type' => \Ep\WordPress\Form\SettingsForm::class,

	'attributes' => [
		'title' => 'Greške',
	],

	'elements' => [[
		'spec' => [
			'type' => 'PostSelect',
			'name' => 'error_page',
			'options' => [
				'label' => 'Stranica',
				'post_type' => 'page',
				'empty_option' => 'Odaberite stranicu...',
				'description' => 'Na ovu stranicu redirektamo korisnika u slučaju nekakve generalne greške. Ova stranica će vratiti StatusCode 500.',
			],
		],
	], [
		'spec' => [
			'type' => 'PostSelect',
			'name' => 'error_block',
			'options' => [
				'label' => 'Blok',
				'post_type' => 'blocks',
				'empty_option' => 'Odaberite blok...',
				'description' => 'Ovaj blok ćemo prikazati umjesto Widgeta ili sekcije koja je puk\'la.',
			],
		],
	]],

	'input_filter' => [
		'error_page' => [
			'required' => false,
		],
		'error_block' => [
			'required' => false,
		],
	],
];