<?php
return [
	'type' => \Ep\WordPress\Form\SettingsForm::class,

	'attributes' => [
		'title' => 'reCAPTCHA',
	],

	'elements' => [[
		'spec' => [
			'type' => 'checkbox',
			'name' => 'enabled',
			'options' => [
				'label' => 'Uključi/isključi',
				'description' => 'Dodaj nevidljivu reCAPTCHU na sve obrasce',
			],
		],
	], [
		'spec' => [
			'type' => 'text',
			'name' => 'site_key',
			'options' => [
				'label' => 'Site key',
			],
		],
	], [
		'spec' => [
			'type' => 'text',
			'name' => 'secret_key',
			'options' => [
				'label' => 'Secret key',
			],
		],
	]],

	'input_filter' => [
		'site_key' => [
			'required' => true,
			'validator_chain' => 'EnableModuleChain',
		],

		'secret_key' => [
			'required' => true,
			'validator_chain' => 'EnableModuleChain',
		],
	],
];