<?php
return [
	'type' => \Ep\WordPress\Form\SettingsForm::class,

	'attributes' => [
		'title' => 'Webshop postavke',
	],

	'elements' => [[
		'spec' => [
			'type' => 'select',
			'name' => 'type',
			'options' => [
				'label' => 'Vrsta webshopa',
				'value_options' => [
					'retail' => 'Maloprodajni',
					'wholesale' => 'Veleprodajni',
				],
			],
		],
	], [
		'spec' => [
			'type' => 'checkbox',
			'name' => 'enable_cart_import_csv',
			'options' => [
				'label' => 'Uvoz CSV-a',
				'description' => 'Omogući uvoz artikala u košaricu iz CSV-a',
			],
		],
	], [
		'spec' => [
			'type' => 'checkbox',
			'name' => 'login_for_prices',
			'options' => [
				'label' => 'Sakrij cijene',
				'description' => 'Ako je ovo upaljeno, korisnik mora biti ulogiran da bi mogao vidjeti cijene i kupovati',
			],
		],
	], [
		'spec' => [
			'type' => 'text',
			'name' => 'login_for_prices_text',
			'options' => [
				'label' => 'Tekst linka',
				'description' => 'Ovaj tekst će se prikazati umjesto cijena u linku koji vodi na login',
			],
		],
	]],
];